openapi: 3.0.0
info:
  title: Artifactory
  description: Artifactory Swagger from CURL
  contact:
    email: apiteam@swagger.io
  version: '1.0'
servers:
- url: https://localhost/artifactory
  variables: {}
- url: http://localhost/artifactory
  variables: {}
paths:
  /artifactory/{repository}/{path}:
    put:
      tags:
      - Artifacts
      summary: deployArtifact
      description: ''
      operationId: deployArtifact
      parameters:
      - name: repository
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    get:
      tags:
      - Artifacts
      summary: retrieveArtifact
      description: ''
      operationId: retrieveArtifact
      parameters:
      - name: repository
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/archive/download/{repository}/{path}:
    get:
      tags:
      - Artifacts
      summary: retrieveArtifactArchive
      description: ''
      operationId: retrieveArtifactArchive
      parameters:
      - name: archiveType
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: includeChecksumFiles
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: boolean
      - name: repository
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: path
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build:
    get:
      tags:
      - Builds
      summary: getAllBuilds
      description: ''
      operationId: getAllBuilds
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Builds
      summary: uploadBuild
      description: ''
      operationId: uploadBuild
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: string
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build/{buildName}/{buildNumber}:
    get:
      tags:
      - Builds
      summary: getBuildInfo
      description: ''
      operationId: getBuildInfo
      parameters:
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: buildNumber
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build/promote/{buildName}/{buildNumber}:
    post:
      tags:
      - Builds
      summary: promoteBuild
      description: ''
      operationId: promoteBuild
      parameters:
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: buildNumber
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build/{buildName}:
    delete:
      tags:
      - Builds
      summary: deleteBuild
      description: ''
      operationId: deleteBuild
      parameters:
      - name: buildNumbers
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: artifacts
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: deleteAll
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    get:
      tags:
      - Builds
      summary: getBuildByName
      description: ''
      operationId: getBuildByName
      parameters:
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build/rename/{buildName}:
    post:
      tags:
      - Builds
      summary: renameBuild
      description: ''
      operationId: renameBuild
      parameters:
      - name: to
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/build/distribute/{buildName}/{buildNumber}:
    post:
      tags:
      - Builds
      summary: distributeBuild
      description: ''
      operationId: distributeBuild
      parameters:
      - name: buildName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: object
      - name: buildNumber
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/storageinfo:
    get:
      tags:
      - Storage
      summary: getStorageSummary
      description: ''
      operationId: getStorageSummary
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/storage/{repoKey}/{filePath}:
    get:
      tags:
      - Storage
      summary: getStorageFileInfo
      description: ''
      operationId: getStorageFileInfo
      parameters:
      - name: repoKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: filePath
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Storage
      summary: setStorageItemProperties
      description: ''
      operationId: setStorageItemProperties
      parameters:
      - name: properties
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: recursive
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: repoKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: filePath
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Storage
      summary: deleteStorageItemProperties
      description: ''
      operationId: deleteStorageItemProperties
      parameters:
      - name: properties
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: recursive
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: repoKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: filePath
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/move/{srcRepoKey}/{srcFilePath}:
    post:
      tags:
      - Storage
      summary: moveFile
      description: ''
      operationId: moveFile
      parameters:
      - name: to
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: dry
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: suppressLayouts
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: failFast
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: srcRepoKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: srcFilePath
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /artifactory/api/checksum/sha256:
    post:
      tags:
      - Storage
      summary: setStorageChecksum
      description: ''
      operationId: setStorageChecksum
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
tags:
- name: Artifacts
- name: Builds
- name: Storage
- name: default
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
